module Interface where

import HSP
import HAppS.Template.HSP
import Text.Formlets

data Date = Date {month :: Integer, day :: Integer} deriving Show

validDate :: Date -> Bool
validDate (Date m d) = m `elem` [1..12] && d `elem` [1..31]


type WebFormT m a = Form [Web XML] m a
type WebForm a = WebFormT IO a
